/*
 * Copyright (C) 2023-2025 Xeme Developers
 *
 * Xeme is the legal property of its developers, whose names are too
 * numerous to list here. Please refer to the AUTHORS file distributed
 * with this source distribution
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef XEME_H
#define XEME_H

#ifndef __GI_SCANNER__ /* hide this bit from g-ir-scanner */
# ifdef XEME_COMPILATION
#  error "xeme source files should not be including xeme.h"
# endif /* XEME_COMPILATION */
#endif /* __GI_SCANNER__ */

#ifndef XEME_GLOBAL_HEADER_INSIDE
# define XEME_GLOBAL_HEADER_INSIDE
#endif /* XEME_GLOBAL_HEADER_INSIDE */

#include <xeme/xemeaddress.h>
#include <xeme/xemeconnection.h>
#include <xeme/xemeconstants.h>
#include <xeme/xemecore.h>
#include <xeme/xemeextension.h>
#include <xeme/xemeextensionmap.h>
#include <xeme/xemeinputstream.h>
#include <xeme/xemelocalizedstring.h>
#include <xeme/xememessage.h>
#include <xeme/xemeoutputstream.h>
#include <xeme/xemestanza.h>
#include <xeme/xemestream.h>
#include <xeme/xemestring.h>
#include <xeme/xemeversion.h>

#undef XEME_GLOBAL_HEADER_INSIDE

#endif /* XEME_H */
