/*
 * Copyright (C) 2023-2025 Xeme Developers
 *
 * Xeme is the legal property of its developers, whose names are too
 * numerous to list here. Please refer to the AUTHORS file distributed
 * with this source distribution
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef XEME_CONSTANTS_H
#define XEME_CONSTANTS_H

#include <xeme/xemeversion.h>

/**
 * XEME_PORT_CLEAR:
 *
 * A constant representing the default clear text port.
 *
 * Since: 0.1
 */
#define XEME_PORT_CLEAR (5222) XEME_AVAILABLE_MACRO_IN_0_1

/**
 * XEME_PORT_TLS:
 *
 * A constant representing the default TLS port.
 *
 * Since: 0.1
 */
#define XEME_PORT_TLS (5223) XEME_AVAILABLE_MACRO_IN_0_1

/**
 * XEME_SERVICE_XMPP_CLIENT:
 *
 * A constant representing the xmpp-client service DNS record for clear text
 * connections.
 *
 * Since: 0.1
 */
#define XEME_SERVICE_XMPP_CLIENT ("xmpp-client") XEME_AVAILABLE_MACRO_IN_0_1

/**
 * XEME_SERVICE_XMPPS_CLIENT:
 *
 * A constant representing the xmpps-client service DNS record for TLS
 * connections.
 *
 * Since: 0.1
 */
#define XEME_SERVICE_XMPPS_CLIENT ("xmpps-client") XEME_AVAILABLE_MACRO_IN_0_1

#endif /* XEME_CONSTANTS_H */
