/*
 * Copyright (C) 2023-2025 Xeme Developers
 *
 * Xeme is the legal property of its developers, whose names are too
 * numerous to list here. Please refer to the AUTHORS file distributed
 * with this source distribution
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, see
 * <https://www.gnu.org/licenses/>.
 */

#ifndef XEME_VERSION_CONSTS_H
#define XEME_VERSION_CONSTS_H

/**
 * XEME_MAJOR_VERSION:
 *
 * The major version of the version of XEME that was compiled against.
 *
 * Since: 0.1
 */
#define XEME_MAJOR_VERSION (0)

/**
 * XEME_MINOR_VERSION:
 *
 * The minor version of the version of XEME that was compiled against.
 *
 * Since: 0.1
 */
#define XEME_MINOR_VERSION (1)

/**
 * XEME_MICRO_VERSION:
 *
 * The micro version of the version of XEME that was compiled against.
 *
 * Since: 0.1
 */
#define XEME_MICRO_VERSION (0)

/**
 * XEME_EXTRA_VERSION:
 *
 * The extra version of the version of XEME that was compiled against.
 *
 * Since: 0.1
 */
#define XEME_EXTRA_VERSION ("dev")

/**
 * XEME_VERSION:
 *
 * The full version number for the version of XEME that was compiled against.
 *
 * Since: 0.1
 */
#define XEME_VERSION ("0.1.0-dev")

#endif /* XEME_VERSION_CONSTS_H */
